## r-cran-plumber 0.4.6

=== DESCRIPTION ===
Encoding: UTF-8
Package: plumber
Type: Package
Title: An API Generator for R
Version: 0.4.6
Authors@R: c(
  person(family="Trestle Technology, LLC", role="aut", email="cran@trestletech.com"),
  person("Jeff", "Allen", role="cre", email="cran@trestletech.com"),
  person("Frans", "van Dunné", role="ctb", email="frans@ixpantia.com"),
  person("Sebastiaan", "Vandewoude", role="ctb", email="sebastiaanvandewoude@gmail.com"),
  person(family="SmartBear Software", role=c("ctb", "cph"), comment="swagger-ui"))
License: MIT + file LICENSE
BugReports: https://github.com/trestletech/plumber/issues
URL: https://www.rplumber.io (site)
        https://github.com/trestletech/plumber (dev)
Description: Gives the ability to automatically generate and serve an HTTP API
    from R functions using the annotations in the R documentation around your
    functions.
Depends: R (>= 3.0.0)
Imports: R6 (>= 2.0.0), stringi (>= 0.3.0), jsonlite (>= 0.9.16),
        httpuv (>= 1.2.3), crayon
LazyData: TRUE
ByteCompile: TRUE
Suggests: testthat (>= 0.11.0), XML, rmarkdown, PKI, base64enc,
        htmlwidgets, visNetwork, analogsea
Collate: 'content-types.R' 'cookie-parser.R' 'parse-globals.R'
        'images.R' 'parse-block.R' 'globals.R' 'serializer-json.R'
        'shared-secret-filter.R' 'post-body.R' 'query-string.R'
        'plumber.R' 'default-handlers.R' 'digital-ocean.R'
        'find-port.R' 'includes.R' 'new-rstudio-project.R' 'paths.R'
        'plumber-static.R' 'plumber-step.R' 'response.R'
        'serializer-content-type.R' 'serializer-html.R'
        'serializer-htmlwidget.R' 'serializer-xml.R' 'serializer.R'
        'session-cookie.R' 'swagger.R'
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-06-04 22:23:10 UTC; barret
Author: Trestle Technology, LLC [aut],
  Jeff Allen [cre],
  Frans van Dunné [ctb],
  Sebastiaan Vandewoude [ctb],
  SmartBear Software [ctb, cph] (swagger-ui)
Maintainer: Jeff Allen <cran@trestletech.com>
Repository: CRAN
Date/Publication: 2018-06-05 04:43:03 UTC

=== debian/changelog ===
r-cran-plumber (0.4.6-1) unstable; urgency=medium

  * Initial release (closes: #911219)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Oct 2018 11:01:43 +0200

=== debian/control ===
Source: r-cran-plumber
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-r6,
               r-cran-stringi,
               r-cran-jsonlite,
               r-cran-httpuv,
               r-cran-crayon
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plumber
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plumber.git
Homepage: https://cran.r-project.org/package=plumber

Package: r-cran-plumber
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-bootstrap,
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: API Generator for GNU R
 This GNU R package gives the ability to automatically generate and serve
 an HTTP API from R functions using the annotations in the R documentation
 around your functions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	for pb in `grep -Rl '/bootstrap.min.[cjs]\+s' debian/*/usr` ; do \
	    sed -i 's?https://maxcdn.bootstrapcdn.com/bootstrap/[.0-9]\+/\([cjs]\+s\)/bootstrap.min.\([cjs]\+s\)?file:///usr/share/javascript/bootstrap/\1/bootstrap.min.\2?' $${pb} ; \
	done
	for pb in `grep -Rl '/jquery-[.0-9]\+\.min.js' debian/*/usr` ; do \
	    sed -i 's?https://code.jquery.com/jquery-[.0-9]\+\.min.js?file:///usr/share/javascript/jquery/jquery.min.js?' $${pb} ; \
	done

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/plumber_([-\d.]*)\.tar\.gz

## r-cran-plumber 1.0.0

=== DESCRIPTION ===
Encoding: UTF-8
Package: plumber
Type: Package
Title: An API Generator for R
Version: 1.0.0
Authors@R: c(
  person("Barret", "Schloerke", role = c("cre", "aut"), email = "barret@rstudio.com"),
  person("Jeff", "Allen", role = c("aut", "ccp"), email = "cran@trestletech.com"),
  person("Bruno", "Tremblay", role = "ctb", email = "cran@neoxone.com"),
  person("Frans", "van Dunné", role = "ctb", email = "frans@ixpantia.com"),
  person("Sebastiaan", "Vandewoude", role="ctb", email = "sebastiaanvandewoude@gmail.com"),
  person(family = "RStudio", role = c("cph", "fnd")))
License: MIT + file LICENSE
BugReports: https://github.com/rstudio/plumber/issues
URL: https://www.rplumber.io, https://github.com/rstudio/plumber
Description: Gives the ability to automatically generate and serve an HTTP API
    from R functions using the annotations in the R documentation around your
    functions.
Depends: R (>= 3.0.0)
Imports: R6 (>= 2.0.0), stringi (>= 0.3.0), jsonlite (>= 0.9.16),
        webutils (>= 1.1), httpuv (>= 1.5.0), crayon, promises (>=
        1.1.0), sodium, swagger (>= 3.33.0), magrittr, mime, lifecycle
LazyData: TRUE
ByteCompile: TRUE
Suggests: testthat (>= 0.11.0), rmarkdown, base64enc, htmlwidgets,
        visNetwork, later, readr, yaml, feather, future
RoxygenNote: 7.1.1
Collate: 'async.R' 'content-types.R' 'default-handlers.R' 'hookable.R'
        'shared-secret-filter.R' 'parser-cookie.R' 'parse-body.R'
        'parse-query.R' 'plumber.R' 'deprecated-R6.R' 'deprecated.R'
        'digital-ocean.R' 'find-port.R' 'globals.R' 'includes.R'
        'json.R' 'new-rstudio-project.R' 'openapi-spec.R'
        'openapi-types.R' 'paths.R' 'plumb-block.R' 'plumb-globals.R'
        'plumb.R' 'plumber-options.R' 'plumber-response.R'
        'plumber-static.R' 'plumber-step.R' 'pr.R' 'pr_set.R'
        'serializer.R' 'session-cookie.R' 'ui.R' 'utf8.R'
        'utils-pipe.R' 'utils.R' 'validate_api_spec.R' 'zzz.R'
RdMacros: lifecycle
NeedsCompilation: no
Packaged: 2020-09-14 16:36:27 UTC; barret
Author: Barret Schloerke [cre, aut],
  Jeff Allen [aut, ccp],
  Bruno Tremblay [ctb],
  Frans van Dunné [ctb],
  Sebastiaan Vandewoude [ctb],
  RStudio [cph, fnd]
Maintainer: Barret Schloerke <barret@rstudio.com>
Repository: CRAN
Date/Publication: 2020-09-14 21:40:02 UTC

=== debian/changelog ===
r-cran-plumber (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Lintian override for false positive
  * Fix autopkgtest
  * Test-Depends: r-cran-htmlwidgets
  * Remove unused lintian-override
  * Update d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2020 11:54:04 +0100

r-cran-plumber (0.4.6-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 09:37:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,26 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r6,
-               r-cran-stringi,
-               r-cran-jsonlite,
-               r-cran-httpuv,
-               r-cran-crayon
-Standards-Version: 4.2.1
+               r-cran-r6 (>= 2.0.0),
+               r-cran-stringi (>= 0.3.0),
+               r-cran-jsonlite (>= 0.9.16),
+               r-cran-webutils (>= 1.1),
+               r-cran-httpuv (>= 1.5.0),
+               r-cran-crayon,
+               r-cran-promises (>= 1.1.0),
+               r-cran-sodium,
+               r-cran-swagger (>= 3.33.0),
+               r-cran-magrittr,
+               r-cran-mime,
+               r-cran-lifecycle
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plumber
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plumber.git
 Homepage: https://cran.r-project.org/package=plumber
+Rules-Requires-Root: no
 
 Package: r-cran-plumber
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-pki, r-cran-rmarkdown, r-cran-htmlwidgets
Restrictions: allow-stderr

## r-cran-plumber 1.1.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: plumber
 Type: Package
 Title: An API Generator for R
-Version: 1.0.0
+Version: 1.1.0
 Authors@R: c(
   person("Barret", "Schloerke", role = c("cre", "aut"), email = "barret@rstudio.com"),
   person("Jeff", "Allen", role = c("aut", "ccp"), email = "cran@trestletech.com"),
@@ -20,24 +20,27 @@
 Imports: R6 (>= 2.0.0), stringi (>= 0.3.0), jsonlite (>= 0.9.16),
         webutils (>= 1.1), httpuv (>= 1.5.0), crayon, promises (>=
         1.1.0), sodium, swagger (>= 3.33.0), magrittr, mime, lifecycle
+        (>= 0.2.0), ellipsis (>= 0.3.0), rlang
 LazyData: TRUE
 ByteCompile: TRUE
 Suggests: testthat (>= 0.11.0), rmarkdown, base64enc, htmlwidgets,
-        visNetwork, later, readr, yaml, feather, future
+        visNetwork, later, readr, yaml, feather, future, rstudioapi,
+        spelling, mockery (>= 0.4.2)
 RoxygenNote: 7.1.1
 Collate: 'async.R' 'content-types.R' 'default-handlers.R' 'hookable.R'
         'shared-secret-filter.R' 'parser-cookie.R' 'parse-body.R'
         'parse-query.R' 'plumber.R' 'deprecated-R6.R' 'deprecated.R'
         'digital-ocean.R' 'find-port.R' 'globals.R' 'includes.R'
         'json.R' 'new-rstudio-project.R' 'openapi-spec.R'
-        'openapi-types.R' 'paths.R' 'plumb-block.R' 'plumb-globals.R'
-        'plumb.R' 'plumber-options.R' 'plumber-response.R'
+        'openapi-types.R' 'options_plumber.R' 'paths.R' 'plumb-block.R'
+        'plumb-globals.R' 'plumb.R' 'plumber-response.R'
         'plumber-static.R' 'plumber-step.R' 'pr.R' 'pr_set.R'
         'serializer.R' 'session-cookie.R' 'ui.R' 'utf8.R'
         'utils-pipe.R' 'utils.R' 'validate_api_spec.R' 'zzz.R'
 RdMacros: lifecycle
+Language: en-US
 NeedsCompilation: no
-Packaged: 2020-09-14 16:36:27 UTC; barret
+Packaged: 2021-03-23 19:45:36 UTC; barret
 Author: Barret Schloerke [cre, aut],
   Jeff Allen [aut, ccp],
   Bruno Tremblay [ctb],
@@ -46,4 +49,4 @@
   RStudio [cph, fnd]
 Maintainer: Barret Schloerke <barret@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-09-14 21:40:02 UTC
+Date/Publication: 2021-03-24 05:10:02 UTC

=== debian/changelog ===
r-cran-plumber (1.1.0+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * d/t/run-unit-test: Exclude a test on i386
  * Upstream version: 1.1.0+ds
  * Repack to remove test.html which contained jquery sources
  * d/s/lintian-overrides: Remove a wrong lintian override
  * Add myself to uploaders

 -- Nilesh Patra <nilesh@debian.org>  Tue, 05 Oct 2021 00:15:16 +0530

r-cran-plumber (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Test-Depends: r-cran-readr

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 08:38:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: r-cran-plumber
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r6 (>= 2.0.0),
-               r-cran-stringi (>= 0.3.0),
-               r-cran-jsonlite (>= 0.9.16),
+               r-cran-r6,
+               r-cran-stringi,
+               r-cran-jsonlite,
                r-cran-webutils (>= 1.1),
                r-cran-httpuv (>= 1.5.0),
                r-cran-crayon,
                r-cran-promises (>= 1.1.0),
                r-cran-sodium,
-               r-cran-swagger (>= 3.33.0),
+               r-cran-swagger,
                r-cran-magrittr,
                r-cran-mime,
-               r-cran-lifecycle
-Standards-Version: 4.5.0
+               r-cran-lifecycle,
+               r-cran-ellipsis,
+               r-cran-rlang,
+# <dh-update-R>do not delete this, knitr and markdown are used to recreate the docs</dh-update-R>
+               r-cran-knitr,
+               r-cran-markdown
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plumber
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plumber.git
 Homepage: https://cran.r-project.org/package=plumber

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 %:
 	dh $@ --buildsystem R
+
+# Generate html from source
+execute_after_dh_auto_build:
+	cd tests/testthat/files/include && Rscript -e "require(knitr); require(markdown); knit('test.Rmd', 'test-intermediate.md'); markdownToHTML('test-intermediate.md', 'test.html', options=c('use_xhtml', 'base64_images'));" \
+		&& rm -rf test-intermediate.md figure
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-pki, r-cran-rmarkdown, r-cran-htmlwidgets, r-cran-readr
Restrictions: allow-stderr

## r-cran-plumber 1.2.0+ds

=== debian/changelog ===
r-cran-plumber (1.2.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add those Test-Depends that are available in Debian
  * Remove tests needing geojsonsf and coro

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 09:40:33 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-rmarkdown,
         r-cran-base64enc,
         r-cran-htmlwidgets,
#         r-cran-visnetwork,
         r-cran-later,
         r-cran-readr,
         r-cran-yaml,
#         r-cran-arrow,
         r-cran-future,
#         r-cran-coro,
         r-cran-rstudioapi,
         r-cran-spelling,
         r-cran-mockery (>= 0.4.2),
#         r-cran-geojsonsf,
#         r-cran-redoc,
#         r-cran-rapidoc,
         r-cran-sf
Restrictions: allow-stderr

## r-cran-plumber 1.2.1%2Bds

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto, \
https://cloud.r-project.org/src/contrib/plumber_([-\d.]*)\.tar\.gz

## r-cran-plumber 1.2.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Package: plumber
 Type: Package
 Title: An API Generator for R
-Version: 1.1.0
+Version: 1.2.1
 Authors@R: c(
-  person("Barret", "Schloerke", role = c("cre", "aut"), email = "barret@rstudio.com"),
+  person("Barret", "Schloerke", role = c("cre", "aut"), email = "barret@rstudio.com", comment = c(ORCID = "0000-0001-9986-114X")),
   person("Jeff", "Allen", role = c("aut", "ccp"), email = "cran@trestletech.com"),
   person("Bruno", "Tremblay", role = "ctb", email = "cran@neoxone.com"),
   person("Frans", "van Dunné", role = "ctb", email = "frans@ixpantia.com"),
@@ -18,15 +18,15 @@
     functions.
 Depends: R (>= 3.0.0)
 Imports: R6 (>= 2.0.0), stringi (>= 0.3.0), jsonlite (>= 0.9.16),
-        webutils (>= 1.1), httpuv (>= 1.5.0), crayon, promises (>=
+        webutils (>= 1.1), httpuv (>= 1.5.5), crayon, promises (>=
         1.1.0), sodium, swagger (>= 3.33.0), magrittr, mime, lifecycle
         (>= 0.2.0), ellipsis (>= 0.3.0), rlang
-LazyData: TRUE
 ByteCompile: TRUE
 Suggests: testthat (>= 0.11.0), rmarkdown, base64enc, htmlwidgets,
-        visNetwork, later, readr, yaml, feather, future, rstudioapi,
-        spelling, mockery (>= 0.4.2)
-RoxygenNote: 7.1.1
+        visNetwork, later, readr, yaml, arrow, future, coro,
+        rstudioapi, spelling, mockery (>= 0.4.2), geojsonsf, redoc,
+        rapidoc, sf
+RoxygenNote: 7.2.1
 Collate: 'async.R' 'content-types.R' 'default-handlers.R' 'hookable.R'
         'shared-secret-filter.R' 'parser-cookie.R' 'parse-body.R'
         'parse-query.R' 'plumber.R' 'deprecated-R6.R' 'deprecated.R'
@@ -39,9 +39,11 @@
         'utils-pipe.R' 'utils.R' 'validate_api_spec.R' 'zzz.R'
 RdMacros: lifecycle
 Language: en-US
+Config/Needs/check: Cairo
+Config/Needs/website: tidyverse/tidytemplate
 NeedsCompilation: no
-Packaged: 2021-03-23 19:45:36 UTC; barret
-Author: Barret Schloerke [cre, aut],
+Packaged: 2022-09-06 18:47:22 UTC; barret
+Author: Barret Schloerke [cre, aut] (<https://orcid.org/0000-0001-9986-114X>),
   Jeff Allen [aut, ccp],
   Bruno Tremblay [ctb],
   Frans van Dunné [ctb],
@@ -49,4 +51,4 @@
   RStudio [cph, fnd]
 Maintainer: Barret Schloerke <barret@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-03-24 05:10:02 UTC
+Date/Publication: 2022-09-06 19:10:02 UTC

=== debian/changelog ===
r-cran-plumber (1.2.1+ds-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1046959
  * Drop Nilesh from Uploaders at own request - thanks Nilesh for all
    your work on this package
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-httpuv (>= 1.5.5).

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 17:42:26 +0100

r-cran-plumber (1.2.1+ds-1) unstable; urgency=medium

  * Team Upload.
  * Versioned test dep on rmarkdown
  * New upstream version 1.2.1+ds

 -- Nilesh Patra <nilesh@debian.org>  Thu, 15 Sep 2022 17:59:00 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: r-cran-plumber
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -10,10 +10,10 @@
                r-cran-r6,
                r-cran-stringi,
                r-cran-jsonlite,
-               r-cran-webutils (>= 1.1),
-               r-cran-httpuv (>= 1.5.0),
+               r-cran-webutils,
+               r-cran-httpuv,
                r-cran-crayon,
-               r-cran-promises (>= 1.1.0),
+               r-cran-promises,
                r-cran-sodium,
                r-cran-swagger,
                r-cran-magrittr,
@@ -21,10 +21,9 @@
                r-cran-lifecycle,
                r-cran-ellipsis,
                r-cran-rlang,
-# <dh-update-R>do not delete this, knitr and markdown are used to recreate the docs</dh-update-R>
                r-cran-knitr,
                r-cran-markdown
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plumber
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plumber.git
 Homepage: https://cran.r-project.org/package=plumber

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 0.11.0),
        r-cran-rmarkdown,
        r-cran-base64enc,
        r-cran-htmlwidgets,
        r-cran-later,
        r-cran-readr,
        r-cran-yaml,
        r-cran-future,
        r-cran-rstudioapi,
        r-cran-spelling,
        r-cran-mockery (>= 0.4.2),
        r-cran-sf
Restrictions: allow-stderr

## r-cran-plumber 1.2.2+ds

=== debian/changelog ===
r-cran-plumber (1.2.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 17:12:29 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-stringi,
                r-cran-jsonlite,
                r-cran-webutils,
-               r-cran-httpuv,
+               r-cran-httpuv (>= 1.5.5),
                r-cran-crayon,
                r-cran-promises,
                r-cran-sodium,
@@ -23,7 +23,7 @@
                r-cran-rlang,
                r-cran-knitr,
                r-cran-markdown
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plumber
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plumber.git
 Homepage: https://cran.r-project.org/package=plumber

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
         r-cran-rmarkdown,
         r-cran-base64enc,
         r-cran-htmlwidgets,
+        r-cran-visnetwork,
         r-cran-later,
         r-cran-readr,
         r-cran-yaml,

## r-cran-plumber 1.3.0%2Bds

=== DESCRIPTION ===
Encoding: UTF-8
Package: plumber
Type: Package
Title: An API Generator for R
Version: 1.3.0
Authors@R: c(
  person("Barret", "Schloerke", role = c("cre", "aut"), email = "barret@posit.co", comment = c(ORCID = "0000-0001-9986-114X")),
  person("Jeff", "Allen", role = c("aut", "ccp"), email = "cran@trestletech.com"),
  person("Bruno", "Tremblay", role = "ctb", email = "cran@neoxone.com"),
  person("Frans", "van Dunné", role = "ctb", email = "frans@ixpantia.com"),
  person("Sebastiaan", "Vandewoude", role="ctb", email = "sebastiaanvandewoude@gmail.com"),
  person("Posit Software, PBC", role = c("cph", "fnd")))
License: MIT + file LICENSE
BugReports: https://github.com/rstudio/plumber/issues
URL: https://www.rplumber.io, https://github.com/rstudio/plumber
Description: Gives the ability to automatically generate and serve an HTTP API
    from R functions using the annotations in the R documentation around your
    functions.
Depends: R (>= 3.0.0)
Imports: R6 (>= 2.0.0), stringi (>= 0.3.0), jsonlite (>= 0.9.16),
        webutils (>= 1.1), httpuv (>= 1.5.5), crayon, promises (>=
        1.1.0), sodium, swagger (>= 3.33.0), magrittr, mime, lifecycle
        (>= 1.0.0), rlang (>= 1.0.0)
ByteCompile: TRUE
Suggests: testthat (>= 0.11.0), rmarkdown, base64enc, htmlwidgets,
        visNetwork, later, readr, yaml, arrow, future, coro,
        rstudioapi, spelling, mockery (>= 0.4.2), geojsonsf, redoc,
        rapidoc, sf, ragg, svglite, readxl, writexl, utils
RoxygenNote: 7.3.2
Collate: 'async.R' 'content-types.R' 'default-handlers.R' 'hookable.R'
        'shared-secret-filter.R' 'parser-cookie.R' 'parse-body.R'
        'parse-query.R' 'plumber.R' 'deprecated-R6.R' 'deprecated.R'
        'digital-ocean.R' 'find-port.R' 'globals.R' 'includes.R'
        'json.R' 'new-rstudio-project.R' 'openapi-spec.R'
        'openapi-types.R' 'options_plumber.R' 'paths.R' 'plumb-block.R'
        'plumb-globals.R' 'plumb.R' 'plumber-response.R'
        'plumber-static.R' 'plumber-step.R' 'pr.R' 'pr_set.R'
        'serializer.R' 'session-cookie.R' 'ui.R' 'utf8.R'
        'utils-pipe.R' 'utils.R' 'validate_api_spec.R' 'zzz.R'
Language: en-US
Config/Needs/check: Cairo
Config/Needs/website: tidyverse/tidytemplate
NeedsCompilation: no
Packaged: 2025-02-18 21:22:32 UTC; barret
Author: Barret Schloerke [cre, aut] (<https://orcid.org/0000-0001-9986-114X>),
  Jeff Allen [aut, ccp],
  Bruno Tremblay [ctb],
  Frans van Dunné [ctb],
  Sebastiaan Vandewoude [ctb],
  Posit Software, PBC [cph, fnd]
Maintainer: Barret Schloerke <barret@posit.co>
Repository: CRAN
Date/Publication: 2025-02-19 05:30:02 UTC

## r-cran-plumber 1.3.0+ds

=== debian/changelog ===
r-cran-plumber (1.3.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 21 Feb 2025 11:02:07 +0900

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,11 @@
                r-cran-swagger,
                r-cran-magrittr,
                r-cran-mime,
-               r-cran-lifecycle,
-               r-cran-ellipsis,
-               r-cran-rlang,
+               r-cran-lifecycle (>= 1.0.0),
+               r-cran-rlang (>= 1.0.0),
                r-cran-knitr,
                r-cran-markdown
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plumber
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plumber.git
 Homepage: https://cran.r-project.org/package=plumber

=== debian/tests/control ===
--- 
+++ 
@@ -12,5 +12,9 @@
         r-cran-rstudioapi,
         r-cran-spelling,
         r-cran-mockery (>= 0.4.2),
-        r-cran-sf
+        r-cran-sf,
+        r-cran-ragg,
+        r-cran-svglite,
+        r-cran-readxl,
+        r-cran-writexl
 Restrictions: allow-stderr

## r-cran-plumber 1.3.3+ds

=== DESCRIPTION ===
Type: Package
Package: plumber
Title: An API Generator for R
Version: 1.3.3
Authors@R: c(
    person("Barret", "Schloerke", , "barret@posit.co", role = c("cre", "aut"),
           comment = c(ORCID = "0000-0001-9986-114X")),
    person("Jeff", "Allen", , "cran@trestletech.com", role = c("aut", "ccp")),
    person("Bruno", "Tremblay", , "cran@neoxone.com", role = "ctb"),
    person("Frans", "van Dunné", , "frans@ixpantia.com", role = "ctb"),
    person("Sebastiaan", "Vandewoude", , "sebastiaanvandewoude@gmail.com", role = "ctb"),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Gives the ability to automatically generate and serve an HTTP
    API from R functions using the annotations in the R documentation
    around your functions.
License: MIT + file LICENSE
URL: https://www.rplumber.io, https://github.com/rstudio/plumber
BugReports: https://github.com/rstudio/plumber/issues
Depends: R (>= 3.0.0)
Imports: crayon, httpuv (>= 1.5.5), jsonlite (>= 0.9.16), lifecycle (>=
        1.0.0), magrittr, mime, promises (>= 1.1.0), R6 (>= 2.0.0),
        rlang (>= 1.0.0), sodium, stringi (>= 0.3.0), swagger (>=
        3.33.0), webutils (>= 1.1)
Suggests: arrow, base64enc, coro, future, geojsonsf, htmlwidgets,
        later, ragg, rapidoc, readr, readxl, redoc, rmarkdown,
        rstudioapi, sf, spelling, svglite, testthat (>= 0.11.0), utils,
        visNetwork, withr, writexl, yaml
ByteCompile: TRUE
Config/Needs/check: Cairo, r-quantities/units
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.3
Collate: 'async.R' 'content-types.R' 'default-handlers.R' 'hookable.R'
        'shared-secret-filter.R' 'parser-cookie.R' 'parse-body.R'
        'parse-query.R' 'plumber.R' 'deprecated-R6.R' 'deprecated.R'
        'digital-ocean.R' 'find-port.R' 'globals.R' 'includes.R'
        'json.R' 'new-rstudio-project.R' 'openapi-spec.R'
        'openapi-types.R' 'options_plumber.R' 'paths.R' 'plumb-block.R'
        'plumb-globals.R' 'plumb.R' 'plumber-response.R'
        'plumber-static.R' 'plumber-step.R' 'pr.R' 'pr_set.R'
        'serializer.R' 'session-cookie.R' 'ui.R' 'utf8.R'
        'utils-pipe.R' 'utils.R' 'validate_api_spec.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2026-01-27 21:50:00 UTC; barret
Author: Barret Schloerke [cre, aut] (ORCID:
    <https://orcid.org/0000-0001-9986-114X>),
  Jeff Allen [aut, ccp],
  Bruno Tremblay [ctb],
  Frans van Dunné [ctb],
  Sebastiaan Vandewoude [ctb],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Barret Schloerke <barret@posit.co>
Repository: CRAN
Date/Publication: 2026-01-28 06:10:08 UTC

=== debian/changelog ===
r-cran-plumber (1.3.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Refresh `debian/patches/ignore_tests_needing_geojsonsf.patch`.
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 25 Feb 2026 08:41:49 +0900

=== debian/control ===
Source: r-cran-plumber
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-crayon,
 r-cran-httpuv,
 r-cran-jsonlite,
 r-cran-lifecycle,
 r-cran-magrittr,
 r-cran-mime,
 r-cran-promises,
 r-cran-r6,
 r-cran-rlang,
 r-cran-sodium,
 r-cran-stringi,
 r-cran-swagger,
 r-cran-webutils,
 r-cran-knitr,
 r-cran-markdown,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-plumber
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-plumber.git
Homepage: https://cran.r-project.org/package=plumber
Rules-Requires-Root: no

Package: r-cran-plumber
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
 libjs-bootstrap,
 libjs-jquery,
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: An API Generator for R
 Gives the ability to automatically generate and serve an HTTP
 API from R functions using the annotations in the R documentation
 around your functions.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-arrow,
 r-cran-base64enc,
 r-cran-future,
 r-cran-htmlwidgets,
 r-cran-later,
 r-cran-ragg,
 r-cran-readr,
 r-cran-readxl,
 r-cran-rmarkdown,
 r-cran-rstudioapi,
 r-cran-sf,
 r-cran-spelling,
 r-cran-svglite,
 r-cran-testthat (>= 0.11.0),
 r-cran-visnetwork,
 r-cran-withr,
 r-cran-writexl,
 r-cran-yaml,
 r-cran-mockery (>= 0.4.2),
